[package]
name = "tradingbot"
version = "0.10.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[profile.release]
opt-level = 3

[dependencies]
reqwest = { version = "0.11.4", features = ["json"]}
serde = { version ="1.0.126", features = ["derive"] }
serde_json = "1.0.64"
hmac-sha256 = "0.1.7"
tokio = { version = "1.28.2", features = ["full"] }
futures = "0.3.17"
chrono = "0.4.19"
hex = "0.4.3"
rand = { version = "0.8.4", features = ["getrandom"]}
sqlx = { version = "0.6.3", features = ["runtime-tokio-native-tls", "mysql", "macros", "migrate", "decimal", "chrono"] }
csv = "1.1.6"
thirtyfour = { version = "0.28.1", features = ["tokio-runtime"]}
ord_subset = "3.1.1"
rust_decimal = "1.29.1"
rust_decimal_macros = "1.29.1"
clap = "4.4.18"
log = "0.4.20"
simple_logger = "4.3.3"
